import 'dart:io';
import '../Alert/Ev_Alert.dart';
import 'package:flutter/cupertino.dart';
import 'package:url_launcher/url_launcher.dart';

import 'Ev_API.dart';

class Ev_CheckVersion
{    static var run = false;
     var context;

     Ev_CheckVersion(BuildContext context,String url,String config_version)
     {  if(!run) {
          this.context = context;
          var post = {"version_number":config_version};
          Ev_API().Post(url,post: post,onSuccess: Success);
         run = true;
       };
     }


   void Success(Ev_API_Result result) async {
     // TODO: implement API_Success
     print("Success !");
     Ev_Alert.YesNo(
         context, result.sdata["title"], result.sdata["message"],
         yes_text: result.sdata["update"], no_text: result.sdata["close"],
         onyes: () async {
           if (Platform.isAndroid) {
             await launch(result.sdata["andriod"]); // Android-specific code
           } else if (Platform.isIOS) {
             await launch(result.sdata["ios"]);
           }
           exit(0);
         },

         onNo: () {
           if (result.sdata["status"] == 2) {
             exit(0);
           }
         }
     );
   }
}