import '../Image/Elves_Fille.dart';
import '../Image/Elves_Image.dart';
import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';

class Chat_Input extends StatelessWidget {
  var get_image_icon;
  var send_icon;
  var bgcolor;

  var onMessage;
  var onChange;
  var onFile;
  var onPhoto;
  var hasfile;

  var message = TextEditingController();

  Chat_Input({this.get_image_icon,this.send_icon,this.bgcolor = Colors.grey,this.onPhoto,this.onFile,this.onMessage,this.onChange,this.hasfile=false});

  @override
  Widget build(BuildContext context) {
    return Container(
      child: Row(

       //crossAxisAlignment: CrossAxisAlignment.start,
       children: <Widget>[
        Padding(
          padding: const EdgeInsets.all(8.0),
          child: Attach_Icon(context),
        ),
        Expanded(child:text_chatmessage()),
        Padding(
          padding: const EdgeInsets.all(8.0),
          child: Send(context),
        ),
      ],
      ));
  }

  Widget Attach_Icon(BuildContext context)
  {  var icon = (hasfile) ? Icon(Icons.attach_file) : Icon(Icons.photo);
     if (get_image_icon != null)
        {  icon = get_image_icon; }

     return GestureDetector(child: icon,onTap: (){
         message.text = "";
         FocusScope.of(context).requestFocus(FocusNode());

         if(hasfile)
            {  Ev_File.Get_Select(context,onPhoto: onPhoto,onFile: onFile); }
         else
            {  Ev_Image.Get_Select(context,onReceived: onPhoto); }
     },);
  }


  Widget Send(BuildContext context)
  {  var icon = send_icon == null ? Icon(Icons.send) : send_icon;
     return GestureDetector(child: icon, onTap: (){
         if(onMessage != null)
            {  onMessage(message.text); }
         message.text = "";
         FocusScope.of(context).requestFocus(FocusNode());
     },);
  }

  Widget text_chatmessage() {
    return Container(
      padding: EdgeInsets.only(top:5,left: 10,right: 10),
      margin: EdgeInsets.only(top:8,bottom: 5),

      decoration: new BoxDecoration(
          color: Colors.white,
          borderRadius: new BorderRadius.circular(10)),

      child: new ConstrainedBox(
      constraints: BoxConstraints(
          maxHeight: 70.0,
        ),

        child: new SingleChildScrollView(
          //scrollDirection: Axis.vertical,
          //reverse: true,
          child: new TextField(
            decoration: InputDecoration(
                contentPadding: EdgeInsets.only(top:5,bottom: 10),counterText: ""),
            style:TextStyle(height: 0.85),
            controller: message,
            maxLength: 500,
            maxLines: null,
            onChanged: onChange,
          ),
        ),
      ));
   }

}
