import 'package:flutter/material.dart';
import 'Ev_Form.dart';


class Ev_From_DropDown extends StatefulWidget {
  var key_value;
  var label;
  var default_value;
  var check_empty;
  var has_line;
  var value_array;

  Ev_Form form;
  Ev_From_DropDown({this.form,this.key_value,this.label="",this.default_value="",this.value_array,this.check_empty = true,this.has_line = true}) ;

  @override
  _PIA_From_DropDown_State createState()=> _PIA_From_DropDown_State();

}

class _PIA_From_DropDown_State extends State<Ev_From_DropDown> {

  void initState() {
    print("build form init " + widget.key_value);
    widget.form.init(widget.key_value, check_valid);
    widget.form.set(widget.key_value,widget.default_value);
    super.initState();
  }


  check_widget_init()
  { if(widget.form.reset == true) {
      widget.form.get_controller(widget.key_value).text_color = widget.form.label_Color;
      widget.form.set(widget.key_value,widget.default_value);
    }
  }

  @override
  Widget build(BuildContext context) {
    Ev_Form_Controller Form = widget.form.get_controller(widget.key_value);

    print("Build Form " + widget.key_value + ", " + Form.toString());
    check_widget_init();

    return Container(
      child: Column(
        children: <Widget>[
          Row(
              crossAxisAlignment: CrossAxisAlignment.start,
              children: <Widget>[
                Padding(
                  padding: const EdgeInsets.only(top:10.0),
                  child: Text(widget.label,style: TextStyle(color:Form.text_color, fontSize: widget.form.label_Size)),
                ),
                Expanded(child: Container(),),
                SizedBox(
                  height: 45,
                  child: DropdownButtonHideUnderline(
                    child: DropdownButton(
                      //isExpanded: true,
                      value: (Form.Controller.text == "") ? null : Form.Controller.text,
                      onChanged: (Value) {
                        setState(() {
                          Form.Controller.text = Value;
                        });
                      },
                      items: widget.value_array.map<DropdownMenuItem<String>>((String value) {
                        return DropdownMenuItem<String>(
                          value: value,
                          child: Text(value),
                        );
                      }).toList(),
                    ),
                  ),
                )
              ]),
          (widget.has_line) ? Container(color:widget.form.line_color,height: 1,) : Container(),
          SizedBox(height: 15,)
        ],
      ),
    );
    }

  bool check_valid()
  {  final value = widget.form.get(widget.key_value).toString();

     widget.form.get_controller(widget.key_value).text_color = widget.form.label_Color;

    if(widget.check_empty == true && value == "") {
       setState(() {
         widget.form.get_controller(widget.key_value).text_color  = Colors.red;
       });
       return  false;
     }

    setState(() {
       return true;
    });
  }

}