import 'dart:io';
import 'package:flutter/material.dart';
import 'package:transparent_image/transparent_image.dart';

class Ev_Image_Widget extends StatelessWidget
{
  var image;
  BoxFit boxfit;
  double round;
  double width;
  double height;
  Ev_Image_Widget({this.image,this.boxfit,this.width=double.infinity,this.height=double.infinity,this.round = 0});

  @override
  Widget build(BuildContext context) {
    if (image is File) {
      print("Sys loading  File imge " + image.toString());
      return ClipRRect(
        borderRadius: BorderRadius.circular(round),
        child: FadeInImage(
            placeholder: Image.asset("Asset/Image/placeholder.png").image,
            image: Image.file(image, fit: boxfit,width: width,height:height).image),
      );
    }
    else {
      var img = image.toString();
      print("Sys loading path image " + image.toString());
      return
        img.contains("http") ?
        Stack(
          children: <Widget>[
            Container(width:width,height: width,child: Center(child: CircularProgressIndicator())),
            ClipRRect(
              borderRadius: BorderRadius.circular(round),
              child: Center(
                child: FadeInImage.memoryNetwork(
                  placeholder: kTransparentImage,
                  image: img,
                  fit: boxfit,
                  width: width,
                  height: height,
                ),
              ),
            ),
          ],
        ):

        ClipRRect(
            borderRadius: BorderRadius.circular(round),
            child: FadeInImage(
                placeholder: Image.asset("Asset/Image/placeholder.png").image,
                image: Image.asset(img, fit: boxfit,width: width,height: height,).image
            ));
    }}
}