import 'package:flutter/material.dart';
import 'package:carousel_pro/carousel_pro.dart';

class Ev_SwapImage extends StatelessWidget {
  List<String> imagepath;
  double screen_ratio;

  Ev_SwapImage({Key key, this.imagepath,this.screen_ratio = 1.5 }): super(key: key);

  @override
  Widget build(BuildContext context) {
    return Container(
        width: double.infinity,
        child: AspectRatio(
          aspectRatio: screen_ratio,
          child: Carousel(
              images: imagepath.map((path) => new NetworkImage(path)).toList(),
              autoplay: false,
          ),
       )
     );
  }
}

