import '../System/Ev_Global.dart';
import '../System/Ev_Lang.dart';
import 'package:flutter/material.dart';

import '_Ev_Send_query.dart';

class $EV_Send_Message extends StatefulWidget {
  var url;
  var sdata;
  var post;
  var onSuccess;
  var fontcolor;
  var bgcolor;

  var error = false;
  var visible = 0.5;
  var api_loaded = false;

  Send_Query send_query;

  $EV_Send_Message({this.fontcolor,this.bgcolor,this.url,this.post,this.sdata,this.onSuccess,this.send_query,Key key}):super(key:key);

  @override
  _$EV_Send_MessageState createState() => _$EV_Send_MessageState();

}

class _$EV_Send_MessageState extends State<$EV_Send_Message> implements Send_Return {

  @override
  Widget build(BuildContext context) {
     if(!widget.api_loaded)
          { widget.api_loaded = true;
            var post = widget.post;
            post["message"] = widget.sdata["message"];
            widget.send_query.add(widget.url, widget.post, null, this);
          }

      if(widget.error)
          {  return Container(
               padding: EdgeInsets.all(5),
               width: 120,
            child: Row(children: <Widget>[
                 Icon(Icons.error,color: Colors.amber,size: 25,),
                 SizedBox(width: 5,),
                 Text(Ev_Send_Error[Ev_Lang.lang_id],style: TextStyle(color: Colors.black)),
                 ],),
          );
          }
      else
        {  return Opacity(opacity: widget.visible,child: body(),); }
  }

  Widget body() {
    return Card(
      child: ClipRRect(
          borderRadius: BorderRadius.circular(5.0),
          child: Stack(
            children: <Widget>[
              Container(
                padding: EdgeInsets.symmetric(horizontal: 10,vertical: 5),
                child: Column(
                  crossAxisAlignment: CrossAxisAlignment.start,
                  children: <Widget>[
                    Text(widget.sdata["message"],
                      style: TextStyle(color: widget.fontcolor),),


                    SizedBox(height: 13,),
                  ],
                ),
                color: widget.bgcolor,
                constraints: BoxConstraints(
                  maxWidth: 300,
                  minWidth: 100,
                ),
              ),

              Positioned(
                right: 5,
                bottom: 3,
                child: Text(widget.sdata["time"], style: TextStyle(fontSize: 10,
                    color: widget.fontcolor.withOpacity(0.7)),
                  textAlign: TextAlign.right,),
              ),
            ],
          )),
    );


  }
  @override
  void error_return() {
      setState(() {
        widget.error = true;
      });
  }

  @override
  void process_return(send, total) {
    // TODO: implement process_return
  }

  @override
  void success_return(data) {
    print("Get success reture " + widget.post.toString());
     setState(() {
        widget.visible = 1;
        widget.onSuccess(data);
     });

  }
}
