import 'dart:io';
import '../System/Ev_Lang.dart';
import 'package:file_picker/file_picker.dart';
import 'package:flutter/material.dart';
import '../System/Ev_Global.dart';
import 'dart:async';
import 'Elves_Image.dart';

class Ev_File
{
     static Future<File> Get_File({onReceived}) async {
       final path = await FilePicker.getFile();
       if(onReceived!= null && path !=null)
         { onReceived(path); }
       return path;
     }

     static Get_Select(BuildContext context,{onPhoto,onFile,double maxImageWidth=1200,double maxImageHeight=2000,camera_text="",gallery_text="",file_text="",double crop_ratio = 0})
     {  showModalBottomSheet(
            context: context,
            builder: (BuildContext context){
              return  Column(
                mainAxisSize: MainAxisSize.min,
                children: <Widget>[
                  ListTile(
                      leading: Icon(Icons.camera),
                      title: Text(camera_text == "" ? Ev_lang_camera[Ev_Lang.lang_id] : camera_text),
                      onTap: () {
                         Navigator.pop(context);
                         Ev_Image.Get_From_Camera(context,onReceived:onPhoto,maxWidth:maxImageWidth,maxHeight:maxImageHeight);

                      }
                  ),
                  ListTile(
                      leading: Icon(Icons.photo_library),
                      title: Text(gallery_text == "" ? Ev_lang_gallery[Ev_Lang.lang_id] : gallery_text),
                      onTap: () {
                        Navigator.pop(context);
                        Ev_Image.Get_From_Gallery(context,onReceived:onPhoto,maxWidth:maxImageWidth,maxHeight:maxImageHeight); }
                  ),

                  ListTile(
                      leading: Icon(Icons.attach_file),
                      title: Text(gallery_text == "" ? Ev_lang_file[Ev_Lang.lang_id] : file_text),
                      onTap: ()  {  Navigator.pop(context);
                      Get_File(onReceived: onFile); }
                  ),
                ],
              );
            }
        );
     }



}

