import 'package:flutter/material.dart';

class Ev_Button
{
   static Widget Outline_Button(String text,Color color,{onPress,double round=0,double width, double height,double fontsize=14,Color bordercolor})
    { return Container(
      width: width,
      height: height,
      child: FlatButton(
        child: Text(text, style: TextStyle(color: color,fontSize: fontsize),),
        onPressed: onPress,
        //color: Colors.white,
        shape: RoundedRectangleBorder(
            borderRadius: BorderRadius.circular(round),
            side: BorderSide(color: bordercolor==null ? color : bordercolor)),
       ),
      );
    }

   static Widget Button(String text, Color fontcolor,Color bgcolor,{onPress,double round =0,double width, double height,double fontsize=14})
   { return  ClipRRect(
       borderRadius: BorderRadius.circular(round),
       child: Container(
       width: width,
       height: height,
       color:bgcolor,
          child: FlatButton(
            child: Text(text, style: TextStyle(color: fontcolor,fontSize: fontsize),),
            onPressed: onPress,
          ),
        ),
     );
   }

   static Widget List(String text,{onPress,icon,Color arrow_color = Colors.grey,double height = 50,double fontsize=14,Color fontcolor = Colors.black})
   { return Container(
       //height: height,
       child: ListTile(
         contentPadding: EdgeInsets.all(0),
         title: Text(text,style: TextStyle(fontSize: fontsize,color:fontcolor),),
         trailing: Icon(icon==null ? Icons.arrow_forward_ios : icon,color:arrow_color) ,
         onTap: onPress));
   }

}