import 'dart:io';
import 'package:firebase_messaging/firebase_messaging.dart';

class Ev_FireBase_CallBack
{   FireBase_OnMessage(dynamic message){} }

class Ev_Firebase
{ static String token = "";
  static final FirebaseMessaging _firebaseMessaging = FirebaseMessaging();
  static List<Ev_FireBase_CallBack> callbacklist = List<Ev_FireBase_CallBack>();

  static Future connect(String topic) async {
  print("FireBase Connect");
  if (Platform.isIOS) iOS_Permission();

  var token = await  _firebaseMessaging.getToken();
  Ev_Firebase.token = token;
  print("FireBase token $token");

  _firebaseMessaging.configure(
    onMessage: (Map<String, dynamic> message) async {
      print('FireBase on message $message');

      if(callbacklist.last != null)
      {  print("call fcm callback");
         callbacklist.last.FireBase_OnMessage(message["data"]); }
      },

    onResume: (Map<String, dynamic> message) async {
      print('on resume $message');
    },

    onLaunch: (Map<String, dynamic> message) async {
      print('on launch $message');
    },
  );

  _firebaseMessaging.subscribeToTopic(topic);
  return token;
}

static void Set_firebase_callback(Ev_FireBase_CallBack cb)
{   callbacklist.clear();
    callbacklist.add(cb);
}

static Future Get_Token() async
{  if (token == "") {
      var tok = await _firebaseMessaging.getToken();
      token = tok;
    }
   return token;
}

static void initState_CallBack(Ev_FireBase_CallBack callback)
{  print("Add Fcm Callback $callback");
   callbacklist.add(callback); }

static void dispose(Ev_FireBase_CallBack callback)
{  callbacklist.remove(callback); }

static void set_topic(String topic)
 {  _firebaseMessaging.subscribeToTopic(topic); }


static void iOS_Permission() {
  _firebaseMessaging.requestNotificationPermissions(
      IosNotificationSettings(sound: true, badge: true, alert: true)
  );
  _firebaseMessaging.onIosSettingsRegistered.listen((IosNotificationSettings settings)
    {  print("Settings registered: $settings"); });
 }
}