import 'package:connectivity/connectivity.dart';
import 'package:flutter/material.dart';
import 'package:flutter_html/flutter_html.dart';
import 'package:url_launcher/url_launcher.dart';

class Ev_Func {
  // Check Network

  static Future<bool> Check_network() async
  {
    var connectivityResult = await (Connectivity().checkConnectivity());
    if (connectivityResult == ConnectivityResult.mobile ||
        connectivityResult == ConnectivityResult.wifi) {
      return true;
    }
    else {
      return false;
    }
  }

  static Future<void> Open_URL(String url,{error}) async {
    if (await canLaunch(url)) { await launch(url); }
    else {
       if(error != null)
           { error(); }
    }
  }

  static Widget html(String text)
  {  return Html(data: text);}

  static List<Map<dynamic,dynamic>> sdata_list(sdata)
  {  return  List<Map<dynamic,dynamic>>.from(sdata.map((i) => i)); }
}