import 'package:flutter/material.dart';

import '../Elves.dart';
import 'Ev_Api_ListView.dart';
import 'Ev_Api_Widget.dart';
import 'Ev_Image.dart';
import 'Ev_Widget.dart';
import 'Ev_badge.dart';
import 'Ev_text.dart';


class $Ev_Build_Widget
{     Ev_Widget controller;
      $Ev_Build_Widget({this.controller});

     Widget Badge({String key="",int value=0,Color textcolor = Colors.white, Color backgroundcolor = Colors.deepOrange})
        {  print("b1");
           var item = $Ev_Item();
           item.value = value;
           item.textcolor = textcolor;
           item.backgroundcolor = backgroundcolor;
           print("save");
           savekey(key, item);
           print("save_end");
           return $Ev_badge(item,key: item.globalKey,);
        }

      Widget Text({String key="",String text="",TextStyle textStyle=const TextStyle()})
        {  var item = $Ev_Item();
           item.text = text;
           item.textStyle = textStyle;
           savekey(key, item);
           return  $Ev_text(item,key: item.globalKey,);
        }

      Widget Widgets({String key="",Widget widget})
        {   var item = $Ev_Item();
            item.widget = widget;
            savekey(key, item);
            return  $Ev_Widget(item,key: item.globalKey,);
        }

      Widget Image({String key="",dynamic image=null,BoxFit boxfit=BoxFit.contain,double round=0,bool zoom=false})
        {  var item = $Ev_Item();
           item.image = image;
           savekey(key, item);
           return  $Ev_Image(item,boxfit,round,zoom,key: item.globalKey,);
        }

      Widget API_Widget({String key="",String url,post,onData,Color loading_color=Colors.blue})
        {  var item = $Ev_Item();
            savekey(key, item);
            return  $Ev_Api_Widget(item, url: url,post: post,loading_color: loading_color,api_result: onData,key: item.globalKey);
        }

      Widget API_ListView({String key="",String url,post,table_item,pagesize=20,nodata_text="",crossAxisCount = 0,childAspectRatio = 1.0})
        {  var item = $Ev_Item();
           savekey(key, item);
           return $Ev_Api_ListView(item, url:url, post:post,table_item:table_item,pagesize:pagesize,nodata_text:nodata_text,
               childAspectRatio:childAspectRatio,crossAxisCount:crossAxisCount,key: item.globalKey);
        }


     void savekey(key,item) {
        if (key != "") {
            controller.Widget[key] = item;
        }
        else
          {  controller.Current = item; }
      }



}